IE 9 Beta 与 WordPress 3 和其默认主题 Twenty Ten 不兼容的解决

自从换上了IE9 Beta,我就发现Wordpress跟IE9 Beta不能在默认的情况下和睦相处:一是默认主题Twenty Ten顶端图片显示不正常,这还不是最重要的;二是编辑器不能用了,文章自然也不能写了。

对于第一个问题,解决的方法是在该主题的header.php的<head>标签内添加

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"/>

强制IE使用IE7兼容模式,问题解决。

对于第二个问题,在后台中开启IE的兼容模式即可,按钮在地址栏右侧或按F12调出开发人员工具或按Alt+T调出菜单再选择“兼容性视图”,问题解决。


发表评论

解决 : *
33 + 91 =